TTYACTION(3)

NAME
ttyaction - ttyaction utility function

LIBRARY
libutil

SYNOPSIS
#include <util.h>
int
ttyaction(char *ttyname, char *action, char *username);

DESCRIPTION
The ttyaction() function is used by login(1), getty(8), telnetd(8) and rlogind(8) to execute site-specific commands when a login session begins and ends.

The ttyaction() function scans the /etc/ttyaction file for any records that match the current ttyname and action parameters, and for each matching record, runs the shell command shown in that record. The record format is described in ttyaction(5). The parameter username is the name of the new owner of the ttyname device. Note that the ttyname parameter may be passed as a fully qualified pathname, and the ttyaction() function will skip the leading "/dev/" part of the string. (This is a convenience for login and getty.)

RETURN VALUES
ttyaction() returns the status of the last command it executed, or zero if no matching commands were found.

FILES
/dev/*
/etc/ttyaction

SEE ALSO
ttyaction(5)

AUTHORS
The following people contributed to this design:

    Gordon W. Ross <gwr@netbsd.org>
    Chris G. Demetriou <cgd@netbsd.org>
    Ty Sarna <tsarna@endicor.com>

BUGS
There should be some other mechanism to allow selection of different access control policies on a per-line basis. It has been suggested that the same ttyaction mechanism should also be used for determining access control, but it was decided (after much discussion) that ttyaction should only describe actions to be performed after the system has decided to change the ownership of some tty. Access control policies will be handled by a separate mechanism.